### Struct

# GeglRectangle

#### Description

    struct GeglRectangle {
      gint x;
      gint y;
      gint width;
      gint height;
    }

No description available.

###### Structure members

`x`

  No description available.

`y`

  No description available.

`width`

  No description available.

`height`

  No description available.

#### Constructors

###### gegl_rectangle_new

Creates a new rectangle set with the values from `x`, `y`, `width` and `height`.

#### Functions

###### gegl_rectangle_infinite_plane

Returns a GeglRectangle that represents an infininte plane.

#### Instance methods

###### gegl_rectangle_align

Aligns `rectangle` to a regular tile grid, of which `tile` is a representative tile, and stores the result in `destination`.

###### gegl_rectangle_align_to_buffer

Aligns `rectangle` to the tile grid of `buffer`, and stores the result in `destination`.

###### gegl_rectangle_bounding_box

Computes the bounding box of the rectangles `source1` and `source2` and stores the resulting bounding box in `destination`.

###### gegl_rectangle_contains

Checks if the `GeglRectangle` `child` is fully contained within `parent`.

###### gegl_rectangle_copy

Copies the rectangle information stored in `source` over the information in `destination`.

###### gegl_rectangle_dump

For debugging purposes, not stable API.

###### gegl_rectangle_dup

Create a new copy of `rectangle`.

###### gegl_rectangle_equal

Check if two `GeglRectangles` are equal.

###### gegl_rectangle_equal_coords

Check if a rectangle is equal to a set of parameters.

###### gegl_rectangle_intersect

Calculates the intersection of two rectangles. If the rectangles do not intersect, dest’s width and height are set to 0 and its x and y values are undefined.

###### gegl_rectangle_is_empty

Check if a rectangle has zero area.

###### gegl_rectangle_is_infinite_plane

Returns TRUE if the GeglRectangle represents an infininte plane, FALSE otherwise.

###### gegl_rectangle_set

Sets the `x`, `y`, `width` and `height` on `rectangle`.

###### gegl_rectangle_subtract

Subtracts `subtrahend` from `minuend`, and stores the resulting rectangles in `destination`. Between 0 and 4 disjoint rectangles may be produced.

###### gegl_rectangle_subtract_bounding_box

Computes the bounding box of the area formed by subtracting `subtrahend` from `minuend`, and stores the result in `destination`.

###### gegl_rectangle_xor

Computes the symmetric difference of the rectangles `source1` and `source2`, and stores the resulting rectangles in `destination`. Between 0 and 4 disjoint rectangles may be produced.